Status: Closed Start date:  

Priority: Low Due date:  

Assignee: Go MAEDA % Done: 0%

Category: Code cleanup/refactoring Estimated time: 0.00 hour

Target version: 5.1.0   

Resolution: Fixed Affected version:  

Description

source:/trunk/lib/redmine/scm/adapters/filesystem_adapter.rb@21772#L24 contains the following statement: 

require 'find'

 As far as I can tell this requirement is obsolete and doesn't serve any purpose. None of the module's methods are used in the file and

I also don't see any other references to the module.

Associated revisions

Revision 21780 - 2022-08-25 16:53 - Go MAEDA

Fix unnecessary requirement in /lib/redmine/scm/adapters/filesystem_adapter.rb (#37587).

Contributed by Mischa The Evil.

History

#1 - 2022-08-19 12:02 - Go MAEDA

It looks like the `require 'find'` was already unnecessary when FilesystemAdapter was added in r1508.

Setting the target version to 5.1.0.

#2 - 2022-08-20 06:00 - Mischa The Evil

- Subject changed from Possibly obsolete requirement in /lib/redmine/scm/adapters/filesystem_adapter.rb to Unnecessary requirement in

/lib/redmine/scm/adapters/filesystem_adapter.rb

- Target version set to 5.1.0

Go MAEDA wrote:

It looks like the `require 'find'` was already unnecessary when FilesystemAdapter was added in r1508.

 You're right. It indeed looks like that's the case.

#3 - 2022-08-25 16:54 - Go MAEDA

- Status changed from New to Closed

- Assignee set to Go MAEDA

- Resolution set to Fixed

Committed the fix. Thank you.

Powered by TCPDF (www.tcpdf.org)

2025-05-17 1/1

https://www.redmine.org/projects/redmine/repository/svn/revisions/21772/entry/trunk/lib/redmine/scm/adapters/filesystem_adapter.rb#L24
https://www.redmine.org/projects/redmine/repository/svn/revisions/1508
https://www.redmine.org/projects/redmine/repository/svn/revisions/1508
http://www.tcpdf.org

